=== lib/libalias/modules/cuseeme/Makefile ===
# $FreeBSD$

NAME=	cuseeme
SRCS=	alias_cuseeme.c

.include <bsd.lib.mk>
