=== lib/libalias/modules/ftp/Makefile ===
# $FreeBSD$

NAME=	ftp
SRCS=	alias_ftp.c

.include <bsd.lib.mk>
