=== lib/libalias/modules/nbt/Makefile ===
# $FreeBSD$

NAME=	nbt
SRCS=	alias_nbt.c

.include <bsd.lib.mk>
