=== debian/changelog ===
freebsd-libs (9.2+ds2-4) unstable; urgency=medium

  * Fix shlibs info in libusb3-udeb. (Closes: #736599)

 -- Robert Millan <rmh@debian.org>  Sat, 25 Jan 2014 22:45:34 +0100

freebsd-libs (9.2+ds2-3) unstable; urgency=low

  * libkvm6_abi_update.diff, libusb3_abi_update.diff: Cherry-pick ABI
    changes from stable/10 branch.
  * Bump SONAME in libkvm and libusb.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 16:34:51 +0100

freebsd-libs (9.2+ds2-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 12:46:21 +0100

freebsd-libs (9.2+ds2-1) experimental; urgency=low

  * Add libutil.

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:10:29 +0100

freebsd-libs (9.2+ds1-8) unstable; urgency=low

  * Simplify 04_libkvm.diff even further.
  * Remove gratuitous header dependencies.
  * Remove 07_libkiconv.diff (obsolete).

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:02:31 +0100

freebsd-libs (9.2+ds1-7) unstable; urgency=high

  * Remove unnecessary bits from 04_libkvm.diff and 12_usb.diff.
  * Re-add libbsd_nlist.diff. It is still required when using kvm.h in
    an external package.  (Closes: #729536)

 -- Robert Millan <rmh@debian.org>  Thu, 14 Nov 2013 19:55:53 +0100

freebsd-libs (9.2+ds1-6) unstable; urgency=low

  * Bump freebsd-glue Build-Depends on 0.1.14.

 -- Robert Millan <rmh@debian.org>  Wed, 30 Oct 2013 12:34:38 +0100

freebsd-libs (9.2+ds1-5) unstable; urgency=low

  * Fix libelf/libdwarf buildability on GNU/Linux.

 -- Robert Millan <rmh@debian.org>  Mon, 28 Oct 2013 23:11:54 +0100

freebsd-libs (9.2+ds1-4) unstable; urgency=low

  * Exclude libelf and libdwarf from debian/rules as well...

 -- Robert Millan <rmh@debian.org>  Mon, 28 Oct 2013 01:43:54 +0100

freebsd-libs (9.2+ds1-3) unstable; urgency=low

  * Make libelf and libdwarf kfreebsd-any.

 -- Robert Millan <rmh@debian.org>  Sun, 27 Oct 2013 23:52:33 +0100

freebsd-libs (9.2+ds1-2) unstable; urgency=low

  [ Guillem Jover ]
  * Remove myself from Uploaders.

  [ Robert Millan ]
  * Fix description for libelf packages.

 -- Robert Millan <rmh@debian.org>  Sun, 27 Oct 2013 22:39:49 +0100

freebsd-libs (9.2+ds1-1) experimental; urgency=low

  * Add libelf and libdwarf, this time changing the SONAME to avoid namespace
    collisions.
  * kvm_size_t_kludge.diff: Use <stddef.h> instead of unportably relying
    on private type names.
  * Remove libbsd_nlist.diff (obsolete).

 -- Robert Millan <rmh@debian.org>  Wed, 09 Oct 2013 23:21:11 +0200

freebsd-libs (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Remove preserve_libkvm_abi.diff and no_kvm_uread_in_freebsd10.diff
      (obsoleted by kvm_uread() re-addition in stable/9).
    - Update symbols in libsbu6, libcam6 and libusb2debian.

  [ Guillem Jover ]
  * Create $(DESTDIR) on install-indep, otherwise dh_install with
    --list-missing is unhappy (arguably a bug in debhelper).

 -- Robert Millan <rmh@debian.org>  Wed, 02 Oct 2013 23:28:58 +0200

freebsd-libs (9.1+ds1-3) unstable; urgency=low

  [ Petr Salinger ]
  * extend cdefs_macros.diff in libusb.h part
  * libusb really needs libbsd

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.
  * Add build-indep and build-arch debian/rules targets:
    - Rename BUILD_TARGETS to BUILD_ARCH_TARGETS.
    - Rename build to build-arch and install to install-arch targets.
    - Add empty build-indep target.
    - Add build target depending on build-indep and build-arch.
    - Split install into install-indep and install-arch targets.
    - Switch binary-indep and binary-arch to depend on install-indep and
      install-arch targets respectively.
  * Now using Standards-Version 3.9.4.
  * Add missing old symbols to libkvm0 and libsbuf6 symbols files.
  * Add missing kvm_dpcpu_setcpu(3) man page to libkvm-dev.

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jul 2013 17:04:34 +0200

freebsd-libs (9.1+ds1-2) unstable; urgency=low

  * Bump freebsd-glue B-D (for roundup2).

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 15:24:27 +0200

freebsd-libs (9.1+ds1-1) experimental; urgency=low

  * Temporarily remove libelf and libdwarf, until namespace issues are
    fixed.

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 12:17:26 +0200

freebsd-libs (9.1-1) experimental; urgency=low

  * New upstream release.
    - Sync all patches.
    - Enable __FreeBSD_version when building freebsd-libs sources.
    - preserve_libkvm_abi.diff (and no_kvm_uread_in_freebsd10.diff):
      Backport fix from upstream to preserve 9.0 ABI in libkvm.
    - missing_static_decl.diff: Fix for _libdwarf_errors being exported in
      libdwarf.
    - Acknowledge new symbols in libusbhid4debian, libelf-freebsd-1,
      libusb2debian and libcam6.

 -- Robert Millan <rmh@debian.org>  Thu, 11 Jul 2013 19:55:11 +0200

freebsd-libs (9.0+ds2-1) experimental; urgency=low

  * Add libelf and libdwarf.
  * Remove debian/patches/implicit-declaration (obsoleted by
    freebsd-glue 0.0.5).

 -- Robert Millan <rmh@debian.org>  Wed, 19 Jun 2013 21:49:43 +0200
